Bug 162185 - [PATCH] mail/cyrus-imapd: re-enable autosieve option
Summary: [PATCH] mail/cyrus-imapd: re-enable autosieve option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 09:30 UTC by Martin Matuska
Modified: 2015-10-17 07:38 UTC (History)
2 users (show)

See Also:


Attachments
cyrus-imapd-2.4.12_1.patch (1.63 KB, patch)
2011-10-31 09:30 UTC, Martin Matuska
no flags Details | Diff
fix the autosieve patch result (613 bytes, patch)
2015-10-17 06:00 UTC, lenzi.sergio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2011-10-31 09:30:10 UTC
- Use updated autosieve patch and unbreak for WITH_AUTOSIEVE

Port maintainer (ume@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 dfilter service freebsd_committer 2011-11-01 15:35:16 UTC
ume         2011-11-01 15:34:58 UTC

  FreeBSD ports repository

  Modified files:
    mail/cyrus-imapd24   Makefile distinfo 
  Log:
  Update the autosieve patch and unmark BROKEN with the
  AUTOSIEVE option.
  
  PR:             ports/162185
  Submitted by:   mm
  
  Revision  Changes    Path
  1.214     +1 -2      ports/mail/cyrus-imapd24/Makefile
  1.70      +2 -2      ports/mail/cyrus-imapd24/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Hajimu UMEMOTO freebsd_committer 2011-11-01 15:35:21 UTC
State Changed
From-To: open->closed

Thanks, committed. 
BTW, The AUTOSIEVE option is off by default, and it was broken since 
Cyrus IMAPd was updated.  So, there is no reason to bump PORTREVISION. 


Comment 3 Hajimu UMEMOTO freebsd_committer 2011-11-01 15:35:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

It's my ports.
Comment 4 lenzi.sergio 2015-10-17 06:00:16 UTC
Created attachment 162141 [details]
fix the autosieve patch result

the original patch for autosieve references wrong field in flags structure

this patch fixes the flags..
Comment 5 commit-hook freebsd_committer 2015-10-17 07:33:46 UTC
A commit references this bug:

Author: ume
Date: Sat Oct 17 07:33:11 UTC 2015
New revision: 399529
URL: https://svnweb.freebsd.org/changeset/ports/399529

Log:
  re-enable autosieve option.

  PR:		162185
  Submitted by:	enzi.sergio

Changes:
  head/mail/cyrus-imapd24/Makefile
  head/mail/cyrus-imapd24/files/extra-patch-imap__lmtp_sieve.c
Comment 6 Hajimu UMEMOTO freebsd_committer 2015-10-17 07:38:06 UTC
Thank you, committed.